# Iterate through all the files in the subfolders of the base sound folder
for file in sound/**/*.ogg; do

 	toolexec=../../../tools/audio/SoX/sox
    newsamplerate=22050
    newbitspersample=16
    outputfile=$file"_processed.ogg"
  
    echo "Processing \""$file"\""

    # Process the sound file
    $toolexec $file -r $newsamplerate -b $newbitspersample $outputfile

    # Check if the output file was generated and replace the original file
    if [ -f $outputfile ]; then

    	# Delete the original file after an (apparently) correct processing
    	rm $file

	    # Rename the output file to substitute the original one
    	mv $outputfile $file

    	echo "\t...done :D"
    else
    	echo "\t...FAIL >_<"
    fi

done